Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class ConvertedClosure

    java.lang.Object
      org.codehaus.groovy.runtime.ConversionHandler
          org.codehaus.groovy.runtime.ConvertedClosure

All Implemented Interfaces:
  Serializable

    public class ConvertedClosure
    extends ConversionHandler

This class is a general adapter to adapt a closure to any Java interface.

Authors:
  Ben Yu
  Jochen Theodorou Jul 27, 2006 3:50:51 PM

Constructor Summary
`ConvertedClosure(Closure closure, String method)` to create a ConvertedClosure object.
`ConvertedClosure(Closure closure)`

Method Summary
`Object` | `invokeCustom(Object proxy, Method method, Object[] args)`

Methods inherited from class ConversionHandler
checkMethod, equals, getDelegate, hashCode, invoke, invokeCustom, isCoreObjectMethod, toString

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ConvertedClosure

    public ConvertedClosure(Closure closure, String method)

  to create a ConvertedClosure object.
  Parameters:
    `closure` - the closure object.

### ConvertedClosure

    public ConvertedClosure(Closure closure)

Method Detail

### invokeCustom

    public Object invokeCustom(Object proxy, Method method, Object[] args)

Copyright © 2003-2010 The Codehaus. All rights reserved.